import { Component, EventEmitter, Input, Output } from '@angular/core';
import { ButtonType } from '../../../../shared/components/button/buttonType.enum';
import { NeedsType } from '../../enums/needs.enum';
import { OnlineDemarche } from '../../enums/onlineDemarche.enum';
import { OnlineMediationSteps } from '../../types/onlineDemarcheStep.type';

@Component({
  selector: 'app-navigation',
  templateUrl: './navigation.component.html',
  styleUrls: ['./navigation.component.scss'],
})
export class NavigationComponent {
  @Input() currentStep: OnlineMediationSteps;
  @Input() currentType: OnlineDemarche;
  @Input() isPageValid: boolean;
  @Input() needType: NeedsType;
  @Input() isLastStep = false;
  @Output() goNext = new EventEmitter<any>();
  @Output() goPrev = new EventEmitter<any>();

  public buttonTypeEnum = ButtonType;
  public NeedsTypeEnum = NeedsType;

  public nextPage(isPrint?: boolean) {
    this.goNext.emit(isPrint);
  }

  public prevPage() {
    this.goPrev.emit();
  }
}
