import { Component, EventEmitter, Input, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { User } from '../../../models/user.model';
import { Filter } from '../../../structure-list/models/filter.model';
import { RecapsType } from '../enums/recapsType.enum';
import { StructuresListSteps } from '../enums/structuresListSteps.enum';

@Component({
  selector: 'app-orientation-structure-list',
  templateUrl: './orientation-structure-list.component.html',
})
export class OrientationStructureListComponent {
  @Input() currentStep: StructuresListSteps;
  @Input() profile: User;
  @Input() form: UntypedFormGroup;
  @Input() filters: Filter[] = [];
  @Output() validatePage = new EventEmitter<any>();
  // Enum
  public structuresListStepsEnum = StructuresListSteps;
  public recapsType = RecapsType;

  public radioChange(event: { name: string; value: boolean }): void {
    const { name, value } = event;
    this.form.get(name).setValue(value);
    this.checkValidation();
  }

  public checkValidation(event?: any): void {
    if (this.currentStep === StructuresListSteps.structureChoice) {
      this.form.get('structureChoice').setValue(event);
    }
    if (this.currentStep === StructuresListSteps.structureOrientator) {
      this.validatePage.emit(event);
      return;
    }
    this.validatePage.emit(event);
  }
}
